# Coverage _search

`POST /Coverage/_search`

This resource describes a patient’s insurance plan information, which you may typically find on the patient’s insurance card. You can also use this resource to register for Selfpay (i.e., when an entity other than the insurance or guarantor pays for healthcare costs, like worker’s compensation). Keep in mind that a `Coverage` resource contains details for your review, not approval or eligibility. 

You can review or retrieve coverage information.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for details about a patient’s insurance plan. [Review tips for insurance searches](https://docs.redoxengine.com/permalink/2W6XiXTV85POhY0CNgzFql).

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We only note which query parameters are required _if you’re querying a FHIR server directly_. Remember that Redox (i.e., data on demand) isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters will vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `beneficiary` | Array of string | No | The beneficiary of insurance coverage. |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Coverage/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'beneficiary=string'
```

## Responses

### 200

Search results (Bundle)

Response to a Coverage search operation containing only coverage resources

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Coverage or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Coverage).resource` | object | Yes | Information about healthcare coverage |
| `entry[] (Coverage).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Coverage |
| `entry[] (Coverage).resource.status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (Coverage).resource.beneficiary` | object | Yes | The party who benefits from the insurance coverage; the patient when products and/or services are provided. Must be a resource of type `Patient`. |
| `entry[] (Coverage).resource.beneficiary.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.payor` | Array of object | Yes | The program or plan underwriter or payor including both insurance and non-insurance agreements, such as patient-pay agreements. Must reference one of the following types of resources: - `Organization` - `Patient` - `RelatedPerson` |
| `entry[] (Coverage).resource.payor[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Coverage).resource.contained` | Array of subscriber or company | No | These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope. |
| `entry[] (Coverage).resource.contained[] (subscriber).resourceType` | string | Yes | Identifies the type of the resource. Value: RelatedPerson |
| `entry[] (Coverage).resource.contained[] (subscriber).patient` | object | Yes | The patient this person is related to. Must be a resource of type `Patient`. |
| `entry[] (Coverage).resource.contained[] (subscriber).patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (subscriber).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension` | Array of spouse or employer or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (spouse).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-spouse |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (spouse).valueHumanName` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (spouse).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (spouse).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (spouse).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (employer).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-employer |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (employer).valueReference` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (employer).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier` | Array of object | No | Identifier for a person within a particular scope. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Coverage).resource.contained[] (subscriber).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Coverage).resource.contained[] (subscriber).relationship` | Array of object | No | The nature of the relationship between a patient and the related person. |
| `entry[] (Coverage).resource.contained[] (subscriber).relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (subscriber).name` | Array of object | No | A name associated with the person. |
| `entry[] (Coverage).resource.contained[] (subscriber).name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (subscriber).name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (subscriber).name[].given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (subscriber).telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (Coverage).resource.contained[] (subscriber).telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Coverage).resource.contained[] (subscriber).telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Coverage).resource.contained[] (subscriber).telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Coverage).resource.contained[] (subscriber).gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (Coverage).resource.contained[] (subscriber).birthDate` | string | No | The date on which the related person was born. |
| `entry[] (Coverage).resource.contained[] (subscriber).address` | Array of object | No | Address where the related person can be contacted or visited. |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Coverage).resource.contained[] (subscriber).address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Coverage).resource.contained[] (company).resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `entry[] (Coverage).resource.contained[] (company).active` | boolean | Yes | Whether the organization's record is still in active use. |
| `entry[] (Coverage).resource.contained[] (company).name` | string | Yes | A name associated with the organization. |
| `entry[] (Coverage).resource.contained[] (company).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Coverage).resource.contained[] (company).identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Coverage).resource.contained[] (company).identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Coverage).resource.contained[] (company).type` | Array of object | No | The kind(s) of organization that this is. |
| `entry[] (Coverage).resource.contained[] (company).type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.contained[] (company).type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.contained[] (company).type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.contained[] (company).type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.contained[] (company).telecom` | Array of object | No | A contact detail for the organization. |
| `entry[] (Coverage).resource.contained[] (company).telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Coverage).resource.contained[] (company).telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Coverage).resource.contained[] (company).telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Coverage).resource.contained[] (company).address` | Array of object | No | An address for the organization. |
| `entry[] (Coverage).resource.contained[] (company).address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Coverage).resource.contained[] (company).address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Coverage).resource.contained[] (company).address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Coverage).resource.contained[] (company).address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Coverage).resource.contained[] (company).address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Coverage).resource.contained[] (company).address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Coverage).resource.contained[] (company).address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Coverage).resource.contained[] (company).partOf` | object | No | The organization of which this organization forms a part. Must be a resource of type `Organization`. |
| `entry[] (Coverage).resource.contained[] (company).partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.identifier` | Array of object | No | A unique identifier assigned to this coverage. |
| `entry[] (Coverage).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Coverage).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Coverage).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Coverage).resource.type` | object | No | The type of coverage: social program, medical plan, accident coverage (workers compensation, auto), group health or payment by an individual or organization. |
| `entry[] (Coverage).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.subscriber` | object | No | The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` |
| `entry[] (Coverage).resource.subscriber.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.period` | object | No | Time period during which the coverage is in force. A missing start date indicates the start date isn't known, a missing end date means the coverage is continuing to be in force. |
| `entry[] (Coverage).resource.period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Coverage).resource.period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Coverage).resource.class` | Array of group or plan or agreementType or coverageType or Other | No | A suite of underwriter specific classifiers. |
| `entry[] (Coverage).resource.class[] (group).type` | object | Yes | Identifies this class as representing the insurance group. |
| `entry[] (Coverage).resource.class[] (group).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (group).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: group |
| `entry[] (Coverage).resource.class[] (group).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (Coverage).resource.class[] (group).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (group).value` | string | Yes | Identifier of the group. |
| `entry[] (Coverage).resource.class[] (group).name` | string | No | Name of the group. |
| `entry[] (Coverage).resource.class[] (plan).type` | object | Yes | Identifies this class as representing the insurance plan. |
| `entry[] (Coverage).resource.class[] (plan).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (plan).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: plan |
| `entry[] (Coverage).resource.class[] (plan).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (Coverage).resource.class[] (plan).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (plan).value` | string | Yes | Identifier of the plan. |
| `entry[] (Coverage).resource.class[] (plan).name` | string | No | Name of the plan. |
| `entry[] (Coverage).resource.class[] (agreementType).type` | object | Yes | Identifies this class as representing the insurance agreementType. |
| `entry[] (Coverage).resource.class[] (agreementType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (agreementType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: agreement-type |
| `entry[] (Coverage).resource.class[] (agreementType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (Coverage).resource.class[] (agreementType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (agreementType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Coverage).resource.class[] (coverageType).type` | object | Yes | Identifies this class as representing the insurance coverageType. |
| `entry[] (Coverage).resource.class[] (coverageType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (coverageType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: coverage-type |
| `entry[] (Coverage).resource.class[] (coverageType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (Coverage).resource.class[] (coverageType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (coverageType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Coverage).resource.class[] (Other).type` | object | Yes | The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan. |
| `entry[] (Coverage).resource.class[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (Other).type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.class[] (Other).type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.class[] (Other).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (Other).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Coverage).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Coverage).search.mode` | string | Yes | Identifies the Coverage as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "Coverage",
        "id": "RedoxCoverageExample",
        "class": [
          {
            "type": {
              "coding": [
                {
                  "code": "group",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "847025-024-0009",
            "name": "Accelerator Labs"
          },
          {
            "type": {
              "coding": [
                {
                  "code": "plan",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "31572",
            "name": "HMO Deductible Plan"
          },
          {
            "type": {
              "coding": [
                {
                  "code": "agreement-type",
                  "system": "https://fhir.redoxengine.com/CodeSystem/other-coverage-class"
                }
              ]
            },
            "value": "Standard"
          },
          {
            "type": {
              "coding": [
                {
                  "code": "coverage-type",
                  "system": "https://fhir.redoxengine.com/CodeSystem/other-coverage-class"
                }
              ]
            },
            "value": "Insurance"
          }
        ],
        "identifier": [
          {
            "system": "urn:redox:example:MBRNUM",
            "value": "2234566"
          },
          {
            "system": "urn:redox:example:POLNUM",
            "value": "9140860055"
          }
        ],
        "type": {
          "text": "HMO"
        },
        "status": "active",
        "subscriber": {
          "reference": "#RedoxRelatedPersonExample"
        },
        "beneficiary": {
          "reference": "Patient/RedoxPatientExampleTimothy"
        },
        "period": {
          "start": "2015-01-01",
          "end": "2020-12-31"
        },
        "payor": [
          {
            "reference": "#RedoxInsurerOrganizationExample"
          }
        ],
        "contained": [
          {
            "resourceType": "RelatedPerson",
            "id": "RedoxRelatedPersonExample",
            "patient": {
              "reference": "Patient/RedoxPatientExampleTimothy"
            },
            "name": [
              {
                "given": [
                  "Barbara"
                ],
                "family": "Bixby"
              }
            ],
            "telecom": [
              {
                "value": "+18088675303",
                "system": "phone",
                "use": "home"
              },
              {
                "value": "barbara.bixby@redoxengine.com",
                "system": "email"
              }
            ],
            "address": [
              {
                "line": [
                  "4762 Hickory St."
                ],
                "city": "Monroe",
                "district": "Green",
                "state": "WI",
                "postalCode": "53566",
                "country": "USA"
              }
            ],
            "relationship": [
              {
                "coding": [
                  {
                    "code": "MTH",
                    "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
                    "display": "mother"
                  }
                ],
                "text": "Mother"
              },
              {
                "coding": [
                  {
                    "code": "C",
                    "system": "http://terminology.hl7.org/CodeSystem/v2-0131",
                    "display": "Emergency Contact"
                  }
                ],
                "text": "Emergency Contact"
              }
            ]
          },
          {
            "resourceType": "Organization",
            "id": "RedoxInsurerOrganizationExample",
            "active": true,
            "identifier": [
              {
                "type": {
                  "text": "PayorID"
                },
                "value": "60054"
              }
            ],
            "telecom": [
              {
                "system": "phone",
                "value": "+18089541123"
              }
            ],
            "name": "Aetna",
            "address": [
              {
                "line": [
                  "PO Box 14080"
                ],
                "city": "Lexington",
                "district": "Fayette",
                "state": "KY",
                "postalCode": "40512-4079",
                "country": "USA"
              }
            ]
          }
        ]
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
